GET
List template builds

Authorizations

X-API-Key
string
header
required

Path Parameters

templateID
string
required

Query Parameters

nextToken
string

Cursor to start the list from

limit
integer<int32>
default:100

Maximum number of items to return per page

Required range: 1 <= x <= 100

Response

Successfully returned the template with its builds

templateID
string
required

Identifier of the template

buildID
string
required

Identifier of the last successful build for given template

cpuCount
integer<int32>
required

CPU cores for the sandbox

Required range: x >= 1
memoryMB
integer<int32>
required

Memory for the sandbox in MiB

Required range: x >= 128
diskSizeMB
integer<int32>
required

Disk size for the sandbox in MiB

Required range: x >= 0
public
boolean
required

Whether the template is public or only accessible by the team

aliases
string[]
required
deprecated

Aliases of the template

names
string[]
required

Names of the template (namespace/alias format when namespaced)

createdAt
string<date-time>
required

Time when the template was created

updatedAt
string<date-time>
required

Time when the template was last updated

createdBy
object | null
required
lastSpawnedAt
string<date-time> | null
required

Time when the template was last used

spawnCount
integer<int64>
required

Number of times the template was used

buildCount
integer<int32>
required

Number of times the template was built

envdVersion
string
required

Version of the envd running in the sandbox

buildStatus
enum<string>
required

Status of the template build

Available options:
building,
waiting,
ready,
error
builds
object[]
required

List of builds for the template

isDefault
boolean

Whether the template is one of the platform's default templates. A default template owned by another team carries zero or null usage fields (spawnCount, buildCount, lastSpawnedAt, createdBy).

description
string

Description of the template